Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 2649
Alias:
Product:
Component:
Status: RESOLVED
Resolution: DUPLICATE of bug 2510
Assigned To: Gentoo Linux bug wranglers <bug-wranglers@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: JR Boyens <jboyens@iastate.edu>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
balsa-1.3.5.patch Patch to fix install problems patch JR Boyens 2002-05-11 01:32 0000 422 bytes Details | Diff
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 2649 depends on: Show dependency tree
Bug 2649 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2002-05-11 00:47 0000
The Balsa ebuild (newest) contains only docs, rendering it completely useless.
I
will look in to making a patch... Until then.

------- Comment #1 From JR Boyens 2002-05-11 01:18:32 0000 -------
Here is the patch...


--- balsa-1.3.5.ebuild.orig     Sat May 11 00:56:12 2002
+++ balsa-1.3.5.ebuild  Sat May 11 01:15:23 2002
@@ -51,10 +51,8 @@


 src_install () {
-       make \
-               prefix=${D}/usr \
-               mandir=${D}/usr/share/man \
-               gnomedatadir=${D}/usr/share || die "make install failed"
+       make install \
+               DESTDIR=${D} || die "make install failed"
        dodoc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README TODO
        docinto docs
        dodoc docs/*

------- Comment #2 From JR Boyens 2002-05-11 01:32:13 0000 -------
Created an attachment (id=942) [details]
Patch to fix install problems

------- Comment #3 From Scott A. Friedman 2002-05-12 00:49:44 0000 -------
Install permission problems with this patch

/etc/sound
/usr/share/locale

------- Comment #4 From Scott A. Friedman 2002-05-12 01:35:36 0000 -------
Actually...

adding the following to the src_install() should fix it

datadir=${D}/usr/share \
gnomeconfdir=${D}/etc \

------- Comment #5 From Spider (RETIRED) 2002-05-12 06:54:29 0000 -------

*** This bug has been marked as a duplicate of 2510 ***

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug